//
//  RDSRoomCell.m
//  Temperature
//
//  Created by RD on 2022/10/31.
//

#import "RDSRoomCell.h"

@interface RDSRoomCell()
@property (weak, nonatomic) IBOutlet UIView *bgView;
@property (weak, nonatomic) IBOutlet UIButton *powerBtn;
@property (weak, nonatomic) IBOutlet UIButton *delBtn;

@property (weak, nonatomic) IBOutlet UILabel *nameLab;
@property (weak, nonatomic) IBOutlet UILabel *tempLab;// 温度
@property (weak, nonatomic) IBOutlet UILabel *humLab;// 湿度
@property (weak, nonatomic) IBOutlet UILabel *pm25Lab;// pm2.5
@property (weak, nonatomic) IBOutlet UILabel *co2Lab;// co2


@property (weak, nonatomic) IBOutlet UIImageView *tempImgView;
@property (weak, nonatomic) IBOutlet UIImageView *humImgView;
@property (weak, nonatomic) IBOutlet UIImageView *pm25ImgView;
@property (weak, nonatomic) IBOutlet UIImageView *co2ImgView;


@end

@implementation RDSRoomCell

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (IBAction)powerBtnClick:(UIButton *)sender {
    
    sender.selected = !sender.isSelected;
    
    [self p_refreshBgColor];
    
    BLOCK_SAFE_RUN(_onPowerClick,sender.isSelected)
    
}

- (IBAction)delBtnClick:(id)sender {
    BLOCK_SAFE_RUN(_onDelClick)
}

- (void)setModel:(RDSRoomModel *)model{
    _model = model;
    _nameLab.text = model.name;
    _tempLab.text = [NSString stringWithFormat:@"%d℃",model.temperature];
    _humLab.text = [NSString stringWithFormat:@"%d%%",model.humidity];
    _pm25Lab.text = [NSString stringWithFormat:@"%d",model.air_quality];
    _co2Lab.text = [NSString stringWithFormat:@"%d",model.co2];
    _powerBtn.selected = model.power;
    
    [self p_refreshBgColor];
}

- (void)setIsEdit:(BOOL)isEdit{
    _isEdit = isEdit;
    _delBtn.hidden = !isEdit;
}

- (void)p_refreshBgColor{
    
    BOOL isHighlight = _powerBtn.isSelected;
    
    UIColor *bgColor = isHighlight ? RDSGreenColor:RDSLightGreenColor;
    [_bgView setBackgroundColor:bgColor];
    
    _nameLab.highlighted = isHighlight;
    _tempLab.highlighted = isHighlight;
    _humLab.highlighted = isHighlight;
    _pm25Lab.highlighted = isHighlight;
    _co2Lab.highlighted = isHighlight;
    
    _tempImgView.highlighted = isHighlight;
    _humImgView.highlighted = isHighlight;
    _pm25ImgView.highlighted = isHighlight;
    _co2ImgView.highlighted = isHighlight;
}
@end
